<if @show_diagram_p@ gt 0>
<div id=@diagram_id@></div>
<script type='text/javascript'>

Ext.require(['Ext.chart.*', 'Ext.Window', 'Ext.fx.target.Sprite', 'Ext.layout.container.Fit']);
Ext.onReady(function () {
    
	projectEvaStore = Ext.create('Ext.data.Store', {
		fields: ['date', 'planned_work', 'percent_completed', 'reported_hours_cache'],
		data: @data_json;noquote@
	    });

	projectEvaChart = new Ext.chart.Chart({
		store: projectEvaStore,
		legend: { position: 'right' },
		theme: 'Base:gradients',
		axes: [{
			type: 'Numeric',
			position: 'left',
			minimum: 0,
			fields: ['planned_work', 'percent_completed']
		    }, {
			type: 'Time',
			position: 'bottom',
			fields: ['date'],
			dateFormat: 'M Y',
			label: {rotate: { degrees: 315}}
		    }],
		series: [
		    { title: 'Work Planned', type: 'line', axis: 'left', xField: 'date', yField: 'planned_work'},
		    { title: 'Work Done', type: 'line', axis: 'left', xField: 'date', yField: 'percent_completed'},
		    { title: 'Work Logged', type: 'line', axis: 'left', xField: 'date', yField: 'logged_hours'}
		]
	    });


	var projectEvaPanel = Ext.create('widget.panel', {
		width: @diagram_width@,
		height: @diagram_height@,
		title: 'Test',
		renderTo: '@diagram_id@',
		layout: 'fit',
		header: false,
		tbar: [{
			xtype: 'combo',
			editable: false,
			store: false,
			mode: 'local',
			displayField: 'display',
			valueField: 'value',
			triggerAction: 'all',
			width: 150,
			forceSelection: true,
			value: 'all_time',
			listeners:{select:{fn:function(combo, comboValues) {
				    var value = comboValues[0].data.value;
				    var extraParams = projectEvaStore.getProxy().extraParams;
				    extraParams.diagram_interval = value;
				    projectEvaStore.load();
				}
			    }
			}
		    }],
		items: projectEvaChart
	    });
    });
</script>
</if>
